using System;
public class Program
    {
        public static void Main(string[] args)
        {
            string line = Console.ReadLine();
            long a = long.Parse(line.Split(" ")[0]);
            long b = long.Parse(line.Split(" ")[1]);
            long c = long.Parse(line.Split(" ")[2]);
            long[] comb = new long[6];
            comb[0] = long.Parse(a.ToString() + b.ToString() + c.ToString());
            comb[1] = long.Parse(a.ToString() + c.ToString() + b.ToString());
            comb[2] = long.Parse(b.ToString() + a.ToString() + c.ToString());
            comb[3] = long.Parse(b.ToString() + c.ToString() + a.ToString());
            comb[4] = long.Parse(c.ToString() + a.ToString() + b.ToString());
            comb[5] = long.Parse(c.ToString() + b.ToString() + a.ToString());
            long max = comb[0];
            for (int i = 1; i < 6; i++)
                if (comb[i] > max)
                    max = comb[i];
            Console.WriteLine(max);
        }
    }